import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _VZSerialPortAttachment } from "./VZSerialPortAttachment.js";
export declare class _VZConsolePortConfiguration extends _NSObject {
    static alloc(): _VZConsolePortConfiguration;
    static new(): _VZConsolePortConfiguration;
    init(): _VZConsolePortConfiguration;
    /**
     * @abstract Console port attachment. Defines how the virtual machine's console port interfaces with the host system. Default is nil. @see VZFileHandleSerialPortAttachment @see VZFileSerialPortAttachment @see VZSpiceAgentPortAttachment
     */
    attachment(): _VZSerialPortAttachment | null;
    setAttachment$(value: _VZSerialPortAttachment | null): void;
}
export interface _VZConsolePortConfiguration extends _NSCopying {
}
